%define module	PPI
%define name	perl-%{module}
%define version	1.201
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Parse, Analyze and Manipulate Perl without perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/PPI/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
Requires:	perl >= 2:5.8.7-4mdk
BuildRequires:	perl >= 2:5.8.7-4mdk
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRequires:	perl(Clone)
BuildRequires:	perl(IO::Stringy)
BuildRequires:	perl(List::MoreUtils)
BuildRequires:	perl(Params::Util)
BuildRequires:	perl(Test::ClassAPI)
BuildRequires:  perl(IO::String)
BuildRequires:  perl(Test::Object)
BuildArch:	    noarch
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
PPI is a Perl document parser.

%prep
%setup -q -n %{module}-%{version}
chmod 644 Changes
find lib -name '*.pm' | xargs chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/PPI
%{perl_vendorlib}/PPI.pm
%{_mandir}/*/*





%changelog
* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.201-1mdv2008.1
+ Revision: 104567
- update to new version 1.201


* Wed Nov 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.118-1mdv2007.0
+ Revision: 84456
- new version

* Tue Oct 17 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.115-2mdv2007.1
+ Revision: 65731
- Add BuildRequires
- import perl-PPI-1.115-1mdv2007.0

* Wed Aug 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.115-1mdv2007.0
- new release

* Thu May 18 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.113-1mdk
- New release 1.113
- spec cleanup
- better source URL
- better buildrequires syntax
- fix directory ownership

* Mon Jan 30 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.110-1mdk
- 1.110

* Fri Dec 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.108-1mdk
- 1.108

* Mon Dec 12 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.106-1mdk
- 1.106

* Wed Nov 30 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.104-1mdk
- 1.104

* Tue Oct 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.103-1mdk
- 1.103
- Requires perl with recent Storable >= 2.15

* Sat Aug 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.003-1mdk
- Initial MDV release.

